Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkExtractUnstructuredGrid Class Reference

`#include <vtkExtractUnstructuredGrid.h>`

Inheritance diagram for vtkExtractUnstructuredGrid:

[legend]
Collaboration diagram for vtkExtractUnstructuredGrid:

[legend]
List of all members.

## Detailed Description

extract subset of unstructured grid geometry

Date:
  2002/09/03 12:52:23

Revision:
  1.27

vtkExtractUnstructuredGrid is a general-purpose filter to extract geometry (and associated data) from an unstructured grid dataset. The extraction process is controlled by specifying a range of point ids, cell ids, or a bounding box (referred to as "Extent"). Those cells lying within these regions are sent to the output. The user has the choice of merging coincident points (Merging is on) or using the original point set (Merging is off).

Warning:
  If merging is off, the input points are copied through to the output. This means unused points may be present in the output data. If merging is on, then coincident points with different point attribute values are merged.

See also:
  vtkImageDataGeometryFilter vtkStructuredGridGeometryFilter vtkRectilinearGridGeometryFilter vtkExtractGeometry vtkExtractVOI

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (77%)
  - Henderson, Amy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkExtractUnstructuredGrid.h)`
  - .`cxx` (`/Graphics/vtkExtractUnstructuredGrid.cxx)`

Examples:
  vtkExtractUnstructuredGrid (Examples)

Tests:
  vtkExtractUnstructuredGrid (Tests)

Definition at line 66 of file vtkExtractUnstructuredGrid.h.

## Public Types
typedef vtkUnstructuredGridToUnstructuredGridFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | CreateDefaultLocator ()
unsigned long | GetMTime ()
virtual void | SetPointClipping (int)
virtual int | GetPointClipping ()
virtual void | PointClippingOn ()
virtual void | PointClippingOff ()
virtual void | SetCellClipping (int)
virtual int | GetCellClipping ()
virtual void | CellClippingOn ()
virtual void | CellClippingOff ()
virtual void | SetExtentClipping (int)
virtual int | GetExtentClipping ()
virtual void | ExtentClippingOn ()
virtual void | ExtentClippingOff ()
virtual void | SetPointMinimum (vtkIdType)
virtual vtkIdType | GetPointMinimum ()
virtual void | SetPointMaximum (vtkIdType)
virtual vtkIdType | GetPointMaximum ()
virtual void | SetCellMinimum (vtkIdType)
virtual vtkIdType | GetCellMinimum ()
virtual void | SetCellMaximum (vtkIdType)
virtual vtkIdType | GetCellMaximum ()
void | SetExtent (float xMin, float xMax, float yMin, float yMax, float zMin, float zMax)
void | SetExtent (float extent[6])
float * | GetExtent ()
virtual void | SetMerging (int)
virtual int | GetMerging ()
virtual void | MergingOn ()
virtual void | MergingOff ()
void | SetLocator (vtkPointLocator *locator)
virtual vtkPointLocator * | GetLocator ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkExtractUnstructuredGrid * | SafeDownCast (vtkObject *o)
vtkExtractUnstructuredGrid * | New ()
## Protected Methods
| vtkExtractUnstructuredGrid ()
| ~vtkExtractUnstructuredGrid ()
void | Execute ()
## Protected Attributes
vtkIdType | PointMinimum
vtkIdType | PointMaximum
vtkIdType | CellMinimum
vtkIdType | CellMaximum
float | Extent [6]
int | PointClipping
int | CellClipping
int | ExtentClipping
int | Merging
vtkPointLocator * | Locator

## Member Typedef Documentation

typedef vtkUnstructuredGridToUnstructuredGridFilter vtkExtractUnstructuredGrid::Superclass

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter. Definition at line 69 of file vtkExtractUnstructuredGrid.h.

## Constructor & Destructor Documentation

vtkExtractUnstructuredGrid::vtkExtractUnstructuredGrid | ( |  | ) | `[protected]`

vtkExtractUnstructuredGrid::~vtkExtractUnstructuredGrid | ( |  | ) | `[inline, protected]`

| Definition at line 158 of file vtkExtractUnstructuredGrid.h.

## Member Function Documentation

virtual const char* vtkExtractUnstructuredGrid::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

int vtkExtractUnstructuredGrid::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

virtual int vtkExtractUnstructuredGrid::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

vtkExtractUnstructuredGrid* vtkExtractUnstructuredGrid::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

void vtkExtractUnstructuredGrid::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkUnstructuredGridToUnstructuredGridFilter.

vtkExtractUnstructuredGrid* vtkExtractUnstructuredGrid::New | ( |  | ) | `[static]`

| Construct with all types of clipping turned off. Reimplemented from vtkObject.

virtual void vtkExtractUnstructuredGrid::SetPointClipping | ( | int |  | ) | `[virtual]`

| Turn on/off selection of geometry by point id.

virtual int vtkExtractUnstructuredGrid::GetPointClipping | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by point id.

virtual void vtkExtractUnstructuredGrid::PointClippingOn | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by point id.

virtual void vtkExtractUnstructuredGrid::PointClippingOff | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by point id.

virtual void vtkExtractUnstructuredGrid::SetCellClipping | ( | int |  | ) | `[virtual]`

| Turn on/off selection of geometry by cell id.

virtual int vtkExtractUnstructuredGrid::GetCellClipping | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by cell id.

virtual void vtkExtractUnstructuredGrid::CellClippingOn | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by cell id.

virtual void vtkExtractUnstructuredGrid::CellClippingOff | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry by cell id.

virtual void vtkExtractUnstructuredGrid::SetExtentClipping | ( | int |  | ) | `[virtual]`

| Turn on/off selection of geometry via bounding box.

virtual int vtkExtractUnstructuredGrid::GetExtentClipping | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry via bounding box.

virtual void vtkExtractUnstructuredGrid::ExtentClippingOn | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry via bounding box.

virtual void vtkExtractUnstructuredGrid::ExtentClippingOff | ( |  | ) | `[virtual]`

| Turn on/off selection of geometry via bounding box.

virtual void vtkExtractUnstructuredGrid::SetPointMinimum | ( | vtkIdType |  | ) | `[virtual]`

| Specify the minimum point id for point id selection.

virtual vtkIdType vtkExtractUnstructuredGrid::GetPointMinimum | ( |  | ) | `[virtual]`

| Specify the minimum point id for point id selection.

virtual void vtkExtractUnstructuredGrid::SetPointMaximum | ( | vtkIdType |  | ) | `[virtual]`

| Specify the maximum point id for point id selection.

virtual vtkIdType vtkExtractUnstructuredGrid::GetPointMaximum | ( |  | ) | `[virtual]`

| Specify the maximum point id for point id selection.

virtual void vtkExtractUnstructuredGrid::SetCellMinimum | ( | vtkIdType |  | ) | `[virtual]`

| Specify the minimum cell id for point id selection.

virtual vtkIdType vtkExtractUnstructuredGrid::GetCellMinimum | ( |  | ) | `[virtual]`

| Specify the minimum cell id for point id selection.

virtual void vtkExtractUnstructuredGrid::SetCellMaximum | ( | vtkIdType |  | ) | `[virtual]`

| Specify the maximum cell id for point id selection.

virtual vtkIdType vtkExtractUnstructuredGrid::GetCellMaximum | ( |  | ) | `[virtual]`

| Specify the maximum cell id for point id selection.

void vtkExtractUnstructuredGrid::SetExtent | ( | float | xMin,
|  | float | xMax,
|  | float | yMin,
|  | float | yMax,
|  | float | zMin,
|  | float | zMax
| ) |

| Specify a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.

void vtkExtractUnstructuredGrid::SetExtent | ( | float | extent[6] | ) |

| Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data.

float* vtkExtractUnstructuredGrid::GetExtent | ( |  | ) | `[inline]`

| Set / get a (xmin,xmax, ymin,ymax, zmin,zmax) bounding box to clip data. Definition at line 131 of file vtkExtractUnstructuredGrid.h.

virtual void vtkExtractUnstructuredGrid::SetMerging | ( | int |  | ) | `[virtual]`

| Turn on/off merging of coincident points. Note that is merging is on, points with different point attributes (e.g., normals) are merged, which may cause rendering artifacts.

virtual int vtkExtractUnstructuredGrid::GetMerging | ( |  | ) | `[virtual]`

| Turn on/off merging of coincident points. Note that is merging is on, points with different point attributes (e.g., normals) are merged, which may cause rendering artifacts.

virtual void vtkExtractUnstructuredGrid::MergingOn | ( |  | ) | `[virtual]`

| Turn on/off merging of coincident points. Note that is merging is on, points with different point attributes (e.g., normals) are merged, which may cause rendering artifacts.

virtual void vtkExtractUnstructuredGrid::MergingOff | ( |  | ) | `[virtual]`

| Turn on/off merging of coincident points. Note that is merging is on, points with different point attributes (e.g., normals) are merged, which may cause rendering artifacts.

void vtkExtractUnstructuredGrid::SetLocator | ( | vtkPointLocator * | locator | ) |

| Set / get a spatial locator for merging points. By default an instance of vtkMergePoints is used.

virtual vtkPointLocator* vtkExtractUnstructuredGrid::GetLocator | ( |  | ) | `[virtual]`

| Set / get a spatial locator for merging points. By default an instance of vtkMergePoints is used.

void vtkExtractUnstructuredGrid::CreateDefaultLocator | ( |  | ) |

| Create default locator. Used to create one when none is specified.

unsigned long vtkExtractUnstructuredGrid::GetMTime | ( |  | ) | `[virtual]`

| Return the MTime also considering the locator. Reimplemented from vtkObject.

void vtkExtractUnstructuredGrid::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

vtkIdType vtkExtractUnstructuredGrid::PointMinimum`[protected]`

| Definition at line 162 of file vtkExtractUnstructuredGrid.h.

vtkIdType vtkExtractUnstructuredGrid::PointMaximum`[protected]`

| Definition at line 163 of file vtkExtractUnstructuredGrid.h.

vtkIdType vtkExtractUnstructuredGrid::CellMinimum`[protected]`

| Definition at line 164 of file vtkExtractUnstructuredGrid.h.

vtkIdType vtkExtractUnstructuredGrid::CellMaximum`[protected]`

| Definition at line 165 of file vtkExtractUnstructuredGrid.h.

float vtkExtractUnstructuredGrid::Extent[6]`[protected]`

| Definition at line 166 of file vtkExtractUnstructuredGrid.h.

int vtkExtractUnstructuredGrid::PointClipping`[protected]`

| Definition at line 167 of file vtkExtractUnstructuredGrid.h.

int vtkExtractUnstructuredGrid::CellClipping`[protected]`

| Definition at line 168 of file vtkExtractUnstructuredGrid.h.

int vtkExtractUnstructuredGrid::ExtentClipping`[protected]`

| Definition at line 169 of file vtkExtractUnstructuredGrid.h.

int vtkExtractUnstructuredGrid::Merging`[protected]`

| Definition at line 171 of file vtkExtractUnstructuredGrid.h.

vtkPointLocator* vtkExtractUnstructuredGrid::Locator`[protected]`

| Definition at line 172 of file vtkExtractUnstructuredGrid.h.

The documentation for this class was generated from the following file:

- Graphics/vtkExtractUnstructuredGrid.h